# Creating a new Zybo Z7 project in Vivado
First, use the `createNew.sh` script in `vivado_workspace/project_tcl`
you can run the script from wither the `project_tcl` folder, or the `vivado_workspace`.
This will generate a new project and it's raw project tcl.
Any tiem you add sources, change the block diagram, or otherwise change with settings, run `write_project_tcl <projname>.tcl` at the tcl console.
**YOU ARE NOT DONE YET**

# Necessarry Changes to tcl files
I feel that there should be a way around this, but I haven't found it yet.
- You need to change the project to auto-generate a new wrapper when re-created.
This is done by removeing the follwoing lines from the .tcl file

```
    # Import local files from the original project
    set files [list \
     [file normalize "${origin_dir}/PWM_Recorder_Tests/PWM_Recorder_Tests.srcs/sources_1/bd/design_1/hdl/design_1_wrapper.vhd" ]\
    ]
    set imported_files [import_files -fileset sources_1 $files]

    # Set 'sources_1' fileset file properties for remote files
    # None

    # Set 'sources_1' fileset file properties for local files
    set file "hdl/design_1_wrapper.vhd"
    set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
    set_property -name "file_type" -value "VHDL" -objects $file_obj
```
and adding the following at the end of the file:
```
    make_wrapper -files [get_files ${origin_dir}/${_xil_proj_name_}/${_xil_proj_name_}.srcs/sources_1/bd/design_1/design_1.bd] -top
    add_files -norecurse ${origin_dir}/${_xil_proj_name_}/${_xil_proj_name_}.srcs/sources_1/bd/design_1/hdl/design_1_wrapper.vhd
```
